# Define the kmod package name here.
%define	 kmod_name cifs

Name:	 %{kmod_name}-kmod
Version: 1.54RH
Release: 3.el5.centos
Group:	 System Environment/Kernel
License: GPL v2
Summary: module for cifs support
URL:	 http://www.kernel.org

BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-build-%(%{__id_u} -n)
ExclusiveArch: i686 x86_64

# Sources.
Source0:  %{kmod_name}-%{version}.tar.bz2
Source10: kmodtool-%{kmod_name}

Patch0: 015-bz-465143-cifs-fix-plaintext-a.patch.bz2
Patch1: 016-bz-465143-cifs-turn-off-unicod.patch.bz2
# If kversion isn't defined on the rpmbuild line, build for the current kernel.
%{!?kversion: %define kversion %(uname -r)}

# Define the variants for each architecture.
%define basevar ""
%ifarch i686
%define paevar PAE
%endif
%ifarch i686 x86_64
%define xenvar xen
%endif

# If kvariants isn't defined on the rpmbuild line, build all variants for this architecture.
%{!?kvariants: %define kvariants %{?basevar} %{?xenvar} %{?paevar}}

# Magic hidden here.
%define kmodtool sh %{SOURCE10}
%{expand:%(%{kmodtool} rpmtemplate_kmp %{kmod_name} %{kversion} %{kvariants} 2>/dev/null)}

%description
This package provides the kernel module for cifs support.
It is built to depend upon the specific ABI provided by a range of releases
of the same variant of the CentOS kernel and not on any one specific build.

%prep
%setup -q -c -T -a 0
ln -s %{kmod_name}-%{version} %{kmod_name}

%patch0 -p2
%patch1 -p2
for kvariant in %{kvariants} ; do
    cp -a %{kmod_name}-%{version} _kmod_build_$kvariant
done

%build
for kvariant in %{kvariants} ; do
    ksrc=%{_usrsrc}/kernels/%{kversion}${kvariant:+-$kvariant}-%{_target_cpu}
    pushd _kmod_build_$kvariant
    make -C "${ksrc}" modules M=$PWD
    popd
done

%install
export INSTALL_MOD_PATH=$RPM_BUILD_ROOT
export INSTALL_MOD_DIR=extra/%{kmod_name}
for kvariant in %{kvariants} ; do
    ksrc=%{_usrsrc}/kernels/%{kversion}${kvariant:+-$kvariant}-%{_target_cpu}
    pushd _kmod_build_$kvariant
    make -C "${ksrc}" modules_install M=$PWD
    install -d ${INSTALL_MOD_PATH}/usr/lib/debug
    popd
done
# Strip the module(s).
find ${INSTALL_MOD_PATH} -type f -name \*.ko -exec strip --strip-debug \{\} \;

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Thu May 14 2009 Tru Huynh <tru@centos.org> - 1.54RH-3
- fix non applied patch issue
 (patch espect a bzip2 file when the source filename contains "bz")
* Wed May 13 2009 Tru Huynh <tru@centos.org> - 1.54RH-2
- added 2 patches scheduled for the 5.4 series correcting plain text
  identification bugs listed at http://bugs.centos.org/view.php?id=3369
  and Red Hat bz#82872

* Wed May 13 2009 Tru Huynh <tru@centos.org> - 1.54RH
- initial release, plain 1.54RH version from 2.6.18-128 series
  (2.6.18-128.1.10.el5)
- spec file and kmodtool copied and modified from
  ntfs-kmod-2.1.27-1.el5.elrepo.src.rpm from elrepo (thanks!)

